prometheus:
  wanted:
    component:
      - prometheus
      - alertmanager
      - blackbox_exporter
  pkg:
    component:
      prometheus:
        config:
          global:
            scrape_interval: 15s
            evaluation_interval: 1m
          alerting:
            alertmanagers:
              - static_configs:
                - targets:
                  - localhost:9093
          rule_files:
            - /etc/prometheus/alerts/lysergic/*.yml
          scrape_configs:
            - job_name: 'prometheus'
              static_configs:
              - targets: ['localhost:9090']
        
            - job_name: 'node_exporters_lysergic'
              scrape_timeout: 1m
              scrape_interval: 5m
              file_sd_configs:
              - files:
                - '/etc/prometheus/targets/node-lysergic.json'

            - job_name: 'blackbox-2xx'
              metrics_path: /probe
              params:
                module: [http_2xx]
              file_sd_configs:
              - files: ['/etc/prometheus/targets/blackbox-2xx*.yml']
              relabel_configs:
              - source_labels: [__address__]
                target_label: __param_target
              - source_labels: [__param_target]
                target_label: instance
              - target_label: __address__
                replacement: 127.0.0.1:9115

            - job_name: 'blackbox-3xx'
              metrics_path: /probe
              params:
                module: [http_3xx]
              file_sd_configs:
              - files: ['/etc/prometheus/targets/blackbox-3xx*.yml']
              relabel_configs:
              - source_labels: [__address__]
                target_label: __param_target
              - source_labels: [__param_target]
                target_label: instance
              - target_label: __address__
                replacement: 127.0.0.1:9115

            - job_name: 'certificate_exporter'
              static_configs:
              - targets: ['therapon.rigel.lysergic.dev:9793']
